﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataAccess.Repository
{
    public static class OrderCheckRepository
    {
        public static List<OrderCheck> FindOrderChecksByPatientIdAndVisitId(string patient, string visitId)
        {
            DB db = new DB();
            return db.OrderCheck.Where(t => object.Equals(t.PatientId, patient) && object.Equals(t.VisitId, visitId)).ToList();
        }

        public static OrderCheck AddOrderCheckr(OrderCheck orderCheck)
        {
            DB db = new DB();
            db.OrderCheck.Add(orderCheck);
            db.SaveChanges();
            return orderCheck;
        }
    }
}
