﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataAccess.Repository
{
    public static class PatientVitalSignRepository
    {
        public static List<PatientVitalSign> FindPatientVitalSignByPVID(string pvid, DateTime startTime, DateTime afterTime)
        {
            DB db = new DB();
            return db.PatientVitalSign.Where(t => t.PVID == pvid && t.DataDT >= startTime && t.DataDT <= afterTime).ToList(); ;
        }

        public static PatientVitalSign AddPatientVitalSign(PatientVitalSign patientVitalSign)
        {
            DB db = new DB();
            db.PatientVitalSign.Add(patientVitalSign);
            db.SaveChanges();
            return patientVitalSign;
        }
    }
}
