﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataAccess.Repository
{
    public static class LabMasterRepository
    {
        public static List<LabMaster> FindLabMastersByPatientIdAndVisitId(string patient, string visitId)
        {
            DB db = new DB();
            return db.LabMaster.Where(t => object.Equals(t.PatientID, patient) && object.Equals(t.VisitId, visitId)).ToList();
        }

        public static LabMaster AddLabMaster(LabMaster labMaster)
        {
            DB db = new DB();
            db.LabMaster.Add(labMaster);
            db.SaveChanges();
            return labMaster;
        }
    }
}
