﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataAccess.Repository
{
    public static class LabResultRepository
    {
        public static List<LabResult> FindLabResultsByTestNo(string TestNo)
        {
            DB db = new DB();
            return db.LabResult.Where(t => object.Equals(t.TestNo, TestNo)).ToList();
        }

        public static LabResult AddLabResult(LabResult labResult)
        {
            DB db = new DB();
            db.LabResult.Add(labResult);
            db.SaveChanges();
            return labResult;
        }
    }
}
