﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataAccess.Repository
{
    public static class OrderRepository
    {
        public static List<Order> FindOrdersByPatientIdAndVisitId(string patient, string visitId)
        {
            DB db = new DB();
            return db.Order.Where(t => object.Equals(t.PatientId, patient) && object.Equals(t.VisitId, visitId)).ToList();
        }

        public static Order AddOrder(Order order)
        {
            DB db = new DB();
            db.Order.Add(order);
            db.SaveChanges();
            return order;
        }
    }
}
